#ifndef MAD_CORE_COMMON_WATCHDOG_H
#define MAD_CORE_COMMON_WATCHDOG_H

#include <stdbool.h>

void WDT_Enable(void);
void WDT_SetTimeout(unsigned char time);
bool WDT_HasTriggered(void);
void WDT_Disable(void);
void WDT_Reset(void);

#endif // MAD_CORE_COMMON_WATCHDOG_H
